globus_i_ftp_client_cache_entry_t(3)

NAME
globus_i_ftp_client_cache_entry_t - URL caching support structure.

SYNOPSIS

#include <globus_i_ftp_client.h>

  Data Fields

globus_url_t url
globus_i_ftp_client_target_t * target

Detailed Description

URL caching support structure.

This structure is used to implement the cache of URLs. When a target is needed, the client library first checks the handle's cache. If the target associated with the url is available, and it matches the security attributes of the operation being performed, it will be used for the operation.

The current implementation only allows for a URL to be cached only once per handle.

The cache manipulations are done by the API functions globus_ftp_client_cache_url_state() and globus_ftp_client_flush_url_state(), and the internal functions globus_i_ftp_client_target_find() and globus_i_ftp_client_target_release().

Field Documentation

  globus_i_ftp_client_target_t* globus_i_ftp_client_cache_entry_t::target
Target which matches that URL. If this is NULL, then the cache entry is empty.

  globus_url_t globus_i_ftp_client_cache_entry_t::url
URL which the user has requested to be cached.

Author

Generated automatically by Doxygen for globus_ftp_client from the source code.